base-4.10.1.0: Basic libraries

License | BSD-style (see the LICENSE file in the distribution)
Maintainer | libraries@haskell.org
Stability | experimental
Portability | not portable
Safe Haskell | Trustworthy
Language | Haskell2010

Data.Kind

Description

Basic kinds

Since: 4.9.0.0

Synopsis

- type Type = *
- data Constraint :: *
- type * = *
- type (★) = *

# Documentation

type Type = * Source #

The kind of types with values. For example `Int :: Type`.

data Constraint :: * Source #

The kind of constraints, like `Show a`

type * = * Source #

A backward-compatible (pre-GHC 8.0) synonym for `Type`

type (★) = * Source #

A unicode backward-compatible (pre-GHC 8.0) synonym for `Type`